Show / Hide Table of Contents

# Class OpenIddictValidationSystemNetHttpOptions

Provides various settings needed to configure the OpenIddict validation/System.Net.Http integration.

##### Inheritance

System.Object
OpenIddictValidationSystemNetHttpOptions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Validation.SystemNetHttp

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictValidationSystemNetHttpOptions

### Properties

#### HttpErrorPolicy

Gets or sets the HTTP Polly error policy used by the internal OpenIddict HTTP clients.

##### Declaration

    public IAsyncPolicy<HttpResponseMessage>? HttpErrorPolicy { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<IAsyncPolicy<HttpResponseMessage>> |